BaseClientToAMTokenSecretManager (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.security.client, class: BaseClientToAMTokenSecretManager

Package org.apache.hadoop.yarn.security.client

# Class BaseClientToAMTokenSecretManager

java.lang.Object
org.apache.hadoop.security.token.SecretManager<ClientToAMTokenIdentifier>
org.apache.hadoop.yarn.security.client.BaseClientToAMTokenSecretManager

Direct Known Subclasses:
  `ClientToAMTokenSecretManager`

@Public @Evolving public abstract class BaseClientToAMTokenSecretManager extends org.apache.hadoop.security.token.SecretManager<ClientToAMTokenIdentifier>
A base `SecretManager` for AMs to extend and validate Client-RM tokens issued to clients by the RM using the underlying master-key shared by RM to the AMs on their launch. All the methods are called by either Hadoop RPC or YARN, so this class is strictly for the purpose of inherit/extend and register with Hadoop RPC.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.security.token.SecretManager

  `org.apache.hadoop.security.token.SecretManager.InvalidToken`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.security.token.SecretManager

  `LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseClientToAMTokenSecretManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClientToAMTokenIdentifier`
  `createIdentifier()`
  `byte[]`
  `createPassword(ClientToAMTokenIdentifier identifier)`
  `abstract SecretKey`
  `getMasterKey(org.apache.hadoop.yarn.api.records.ApplicationAttemptId applicationAttemptId)`
  `byte[]`
  `retrievePassword(ClientToAMTokenIdentifier identifier)`

  ### Methods inherited from class org.apache.hadoop.security.token.SecretManager

  `checkAvailableForRead, createPassword, createSecretKey, generateSecret, retriableRetrievePassword, update, validateSecretKeyLength`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BaseClientToAMTokenSecretManager

    public BaseClientToAMTokenSecretManager()

- ## Method Details

  - ### getMasterKey

    @Private public abstract SecretKey getMasterKey(org.apache.hadoop.yarn.api.records.ApplicationAttemptId applicationAttemptId)

  - ### createPassword

    @Private public byte[] createPassword(ClientToAMTokenIdentifier identifier)
    Specified by:
      `createPassword` in class `org.apache.hadoop.security.token.SecretManager<ClientToAMTokenIdentifier>`

  - ### retrievePassword

    @Private public byte[] retrievePassword(ClientToAMTokenIdentifier identifier) throws org.apache.hadoop.security.token.SecretManager.InvalidToken
    Specified by:
      `retrievePassword` in class `org.apache.hadoop.security.token.SecretManager<ClientToAMTokenIdentifier>`
    Throws:
      `org.apache.hadoop.security.token.SecretManager.InvalidToken`

  - ### createIdentifier

    @Private public ClientToAMTokenIdentifier createIdentifier()
    Specified by:
      `createIdentifier` in class `org.apache.hadoop.security.token.SecretManager<ClientToAMTokenIdentifier>`